ALSA project - the C library reference: /builddir/build/BUILD/alsa-lib-1.1.0/src/pcm/pcm_multi.c File Reference

# /builddir/build/BUILD/alsa-lib-1.1.0/src/pcm/pcm_multi.c File Reference

PCM Multi Streams to One Conversion Plugin Interface. More...

## Functions
int | snd_pcm_multi_open (snd_pcm_t **pcmp, const char *name, unsigned int slaves_count, unsigned int master_slave, snd_pcm_t **slaves_pcm, unsigned int *schannels_count, unsigned int channels_count, int *sidxs, unsigned int *schannels, int close_slaves)
| Creates a new Multi PCM.
int | _snd_pcm_multi_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new Multi PCM.

## Detailed Description

PCM Multi Streams to One Conversion Plugin Interface.

Author:
  Abramo Bagnara <abramo@alsa-project.org>

Date:
  2000-2001

## Function Documentation

int _snd_pcm_multi_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode |
| ) |  |  |

Creates a new Multi PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | root | Root configuration node
  | conf | Configuration node with Multi PCM description
  | stream | Stream type
  | mode | Stream mode

Return values:

  | zero | on success otherwise a negative error code

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

int snd_pcm_multi_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | unsigned int | slaves_count,
|  | unsigned int | master_slave,
|  | snd_pcm_t ** | slaves_pcm,
|  | unsigned int * | schannels_count,
|  | unsigned int | channels_count,
|  | int * | sidxs,
|  | unsigned int * | schannels,
|  | int | close_slaves |
| ) |  |  |

Creates a new Multi PCM.

Parameters:

  | pcmp | Returns created PCM handle
  | name | Name of PCM
  | slaves_count | Count of slaves
  | master_slave | Master slave number
  | slaves_pcm | Array with slave PCMs
  | schannels_count | Array with slave channel counts
  | channels_count | Count of channels
  | sidxs | Array with channels indexes to slaves
  | schannels | Array with slave channels
  | close_slaves | When set, the slave PCM handle is closed

Return values:

  | zero | on success otherwise a negative error code

Warning:
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines